// const BASE_URL='http://8.136.98.49:8002'
// let BASE_URL = 'http://192.168.1.112:8002'
export const myRequest = (options) => {
  let BASE_URL = uni.getStorageSync('http');
  console.log(BASE_URL, 'my request', process.env.NODE_ENV);
  if (BASE_URL == '') {
    // BASE_URL = 'http://114.55.0.7:8002'//测试
    BASE_URL =
      process.env.NODE_ENV === 'development'
        ? 'http://192.168.0.214:8003'
        : 'http://8.136.98.49:8002';
    // BASE_URL = 'http://192.168.1.77:8002'
  }

  BASE_URL = 'http://118.178.196.153:7000/iotprod-api/bigdata-api';
  // BASE_URL = 'http://192.168.1.52:8003'
  // console.log(BASE_URL)
  var session_key = '';
  session_key = uni.getStorageSync('session_key');
  let url = '';
  let data = options.data || {};

  if (options.url.split('=')[1]) {
    url = options.url.split('=')[1];
  } else {
    url = options.url.split('api/')[1];
  }
  // console.log(url)
  if (
    url != 'user.login.login_user' &&
    url != 'pest.pests.insect_discern' &&
    url != 'pest.pests.plant_discern' &&
    url != 'pest.pests.pests_contrast' &&
    url != 'pest.pests.pests_expert_img' &&
    url != 'pest.pests.pests_img' &&
    url != 'recognizationSys' &&
    url != 'base.bases.base_photo' &&
    url != 'pest.warning_record.rolemanage_img' &&
    url != 'home.homes.personal_photo' &&
    url != 'ascend.ascend_manage.product_info' &&
    url != 'ascend.ascend_manage.quality_info' &&
    url != 'ascend.ascend_manage.grow_info' &&
    url != 'ascend.ascend_manage.all_ascend' &&
    url != 'after_sale.after_sale_manage.device_check' &&
    url != 'after_sale.after_sale_manage.aftersale_apply'
  ) {
    data.token = session_key;
  }

  return new Promise((resolve, reject) => {
    uni.request({
      url: BASE_URL + options.url,
      method: options.method || 'POST',
      header: {
        'Content-Type': 'application/x-www-form-urlencoded',
      },
      data: data,
      success: (res) => {
        console.log(url, 'response 12131313', url);
        if (res.data.message) {
          if (
            res.data.message == '识别无结果' ||
            res.data.message == '该设备未绑定SIM'
          ) {
            resolve(res.data.data);
          } else {
            return uni.showToast({
              title: res.data.message,
              icon: 'none',
            });
          }
        }
        resolve(res.data.data);
      },
      fail: (err) => {
        console.log(err, 'response 12131313', url, data);
        uni.showToast({
          title: '请求接口失败',
        });
        reject(err);
      },
    });
  });
};
